
#include <QtGui/QApplication>
#include <iostream>

#include "../libinterface/application_qt.hpp"
#include "../libcommon/exception_cpe.hpp"
#include "maFenetre.hpp"




int main(int argc,char *argv[])
{
  application_qt app(argc,argv);

  maFenetre fenetre;

  std::cout<<"Affichage de la fenetre"<<std::endl;
  fenetre.show();

  try
  {
      fenetre.compute();
      std::cout<<"Lancement de l'application principale"<<std::endl;
      return app.exec();
  }
  catch(cpe::exception_cpe& e)
  {
      std::cout<<std::endl;
      std::cout<<e.report_exception()<<std::endl;
  }


}
